#include "testlib.h"

#include <iostream>
#include <cstdio>
using namespace std;

int char_my_whitespace(char ch) {
	return (ch == ' ') || (ch == '/n') || (ch == '/t');
}

int string_my_is_empty(const string& st) {
	for (int i=0; i<(int) st.length(); i++)
		if (char_my_whitespace(st[i]))
			continue;
		else
			return 0;
	return 1;
}

int main(int argc, char *argv[]) {
	registerTestlibCmd(argc, argv);

	int line_num = 0;

	while (1) {
		line_num++;



		string answer_str;
		answer_str.clear();

		answer_str = ans.readLine();
		if (string_my_is_empty(answer_str))
			break;



		string contestant_str;
		contestant_str.clear();

		contestant_str = ouf.readLine();



		if (contestant_str != answer_str)
			quitf(_wa, "Wrong answer (different line %d)!", line_num);
	}

	quitf(_ok, "Accepted!");

	return 0;
}
