#include <iostream>
#include <cstdio>
using namespace std;

int prime(int x) {
	if (x<2) return 0;
	for (int i=2; i*i<=x; i++)
		if (x%i==0)
			return 0;
	return 1;
}

int cnt_ones(int x) {
	int ans = 0;
	while (x>0) {
		ans += x&1;
		x>>=1;
	}
	return ans;
}

int main() {
	freopen("input.txt","r",stdin);
	freopen("output.txt","w",stdout);

	int a,b;
	cin>>a>>b;

	int mx = -1, mx_ones = -1;

	for (int i=a; i<=b; i++)
		if (prime(i))
			if (cnt_ones(i) >= mx_ones) {
				mx = i;
				mx_ones = cnt_ones(i);
			}

	if (mx == -1)
		printf("No fruits :(");
	else
		printf("%d",mx);

	return 0;
}